Subject: Re: [PATCH net] amd-xgbe-phy: Fix initial mode when autoneg is disabled

From: Tom Lendacky <[email-masked]>
Date: Tue, 26 May 2015 09:57:33 -0500

On 05/26/2015 09:51 AM, Tom Lendacky wrote:
> When the ethtool command is used to set the speed of the device while
> the device is down, the check to set the initial mode may fail when
> the device is brought up, causing failure to bring the device up.
>
> Update the code to set the initial mode based on the desired speed if
> auto-negotiation is disabled.
>
> This patch fixes a bug introduced by:
> d9663c8c2149 ("amd-xgbe-phy: Use phydev advertising field vs supported")
>
> Signed-off-by: Tom Lendacky <[email-masked]>
> ---
>   drivers/net/phy/amd-xgbe-phy.c |   45 +++++++++++++++++++++++++++++++++++++---
>   1 file changed, 42 insertions(+), 3 deletions(-)
>

Hi David,

Just a heads up on this patch. With the removal of this file in net-next
you'll have a conflict when merging into net-next. My updates from the
other day to net-next fix this bug in the new file/location.

Thanks,
Tom